# 7. Mutation: 「ZonesMap」を生成

「Field」のために「ZonesMap」を生成します。

{% hint style="info" %}
実行時間は異なります（4秒から5分まで）。画像の枚数と処理する圃場面積によって変わり、"ZonesMap"の生成が成功した後にサブスクリプションが受け取られます。
{% endhint %}

{% hint style="danger" %}
次の **非同期（asynchronous）** アプローチを使用してZonesMapを生成することを推奨します
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation GenerateZonesMap {
  generateVectorAnalysisMap(input: {
    fieldUuid: "<placeholder_of_field_uuid>"
    satelliteImageUuids: [
      "<placeholder_of_satelliteimage_uuid_1>",
      「<placeholder_of_satelliteimage_uuid_2>」
    ]
    numberOfZones: 6
    index: EVI2
  }) {
    uuid
    fieldUuid
    名前
    タイプ
    geoMaps {
      url
      classes
      hexColorCodes
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-apirikuesuto/7-mutation-zonesmapwo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
